diff --git a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index 1d2162d27..83778423c 100644
--- a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -599,28 +600,28 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleAnimation(PacketAnimate animatePacket)
+    public void handleAnimation(@NotNull PacketAnimate packetAnimate)
     {
-        Entity entity = getEntityByID(animatePacket.entityId);
+        Entity entity = getEntityByID(packetAnimate.entityId);
         if (entity == null)
         {
             return;
         }
-        if (animatePacket.animate == 1)
+        if (packetAnimate.animate == 1)
         {
             Player entityplayer = (Player) entity;
             entityplayer.swingItem();
         }
-        else if (animatePacket.animate == 2)
+        else if (packetAnimate.animate == 2)
         {
             entity.animateHurt();
         }
-        else if (animatePacket.animate == 3)
+        else if (packetAnimate.animate == 3)
         {
             Player player = (Player) entity;
             player.wakeUpPlayer(false, false);
         }
-        else if (animatePacket.animate == 4)
+        else if (packetAnimate.animate == 4)
         {
             Player player = (Player) entity;
             player.animate4();
@@ -628,33 +629,33 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleBoatControl(PacketBoatControl boatControlPacket)
+    public void handleBoatControl(@NotNull PacketBoatControl packetBoatControl)
     {
-        Entity e = worldClientMP.getEntityFromId(boatControlPacket.entityId);
+        Entity e = worldClientMP.getEntityFromId(packetBoatControl.entityId);
         if (e instanceof EntityBoat) {
-            ((EntityBoat)e).handleControlDirect(boatControlPacket.targetXD, boatControlPacket.targetZD, boatControlPacket.targetYRot);
+            ((EntityBoat)e).handleControlDirect(packetBoatControl.targetXD, packetBoatControl.targetZD, packetBoatControl.targetYRot);
         }
     }
 
     @Override
-    public void handleSleep(PacketSleep sleepPacket)
+    public void handleSleep(@NotNull PacketSleep packetSleep)
     {
-        Entity entity = getEntityByID(sleepPacket.entityID);
+        Entity entity = getEntityByID(packetSleep.entityID);
         if (entity == null)
         {
             return;
         }
-        if (sleepPacket.field_22046_e == 0)
+        if (packetSleep.field_22046_e == 0)
         {
             Player entityplayer = (Player) entity;
-            entityplayer.sleepInBedAt(sleepPacket.x, sleepPacket.y, sleepPacket.z);
+            entityplayer.sleepInBedAt(packetSleep.x, packetSleep.y, packetSleep.z);
         }
     }
 
     @Override
-    public void handleHandshake(PacketPreLogin preLoginPacket)
+    public void handleHandshake(@NotNull PacketHandshake packetHandshake)
     {
-        if (preLoginPacket.username.equals("-"))
+        if (packetHandshake.username.equals("-"))
         {
             try
             {
@@ -670,7 +671,7 @@ public class PacketHandlerClient extends PacketHandler
         {
             try
             {
-                URL url = new URL("http://session.minecraft.net/game/joinserver.jsp?user=" + mc.session.username + "&sessionId=" + mc.session.sessionId + "&serverId=" + preLoginPacket.username);
+                URL url = new URL("http://session.minecraft.net/game/joinserver.jsp?user=" + mc.session.username + "&sessionId=" + mc.session.sessionId + "&serverId=" + packetHandshake.username);
                 BufferedReader bufferedreader = new BufferedReader(new InputStreamReader(url.openStream()));
                 String s = bufferedreader.readLine();
                 bufferedreader.close();
@@ -704,11 +705,11 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSendKey(PacketAESSendKey AESSendKeyPacket)
+    public void handleAESSendKey(@NotNull PacketAESSendKey packetAESSendKey)
     {
         try
         {
-            AES.clientKeyChain = AES.getKey(RSA.decrypt(AESSendKeyPacket.KEY, RSA.RSAKeyChain.getPrivate()));
+            AES.clientKeyChain = AES.getKey(RSA.decrypt(packetAESSendKey.KEY, RSA.RSAKeyChain.getPrivate()));
         }
         catch (Exception e)
         {
@@ -717,11 +718,11 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePlayerList(PacketPlayerList playerListPacket)
+    public void handlePlayerList(@NotNull PacketPlayerList packetPlayerList)
     {
         playerList.clear();
-        String[] players = playerListPacket.players;
-        String[] scores = playerListPacket.scores;
+        String[] players = packetPlayerList.players;
+        String[] scores = packetPlayerList.scores;
         for (int i = 0; i < players.length; i++)
         {
             playerList.put(players[i], scores[i]);
@@ -736,56 +737,56 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleMobSpawn(PacketAddMob addMobPacket)
+    public void handleAddMob(@NotNull PacketAddMob packetAddMob)
     {
-        double d = (double) addMobPacket.x / 32D;
-        double d1 = (double) addMobPacket.y / 32D;
-        double d2 = (double) addMobPacket.z / 32D;
-        float f = (float) (addMobPacket.yaw * 360) / 256F;
-        float f1 = (float) (addMobPacket.pitch * 360) / 256F;
-        Mob mob = (Mob) EntityDispatcher.getInstance().createEntity(addMobPacket.type, mc.currentWorld);
-        mob.serverPosX = addMobPacket.x;
-        mob.serverPosY = addMobPacket.y;
-        mob.serverPosZ = addMobPacket.z;
-        mob.id = addMobPacket.id;
+        double d = (double) packetAddMob.x / 32D;
+        double d1 = (double) packetAddMob.y / 32D;
+        double d2 = (double) packetAddMob.z / 32D;
+        float f = (float) (packetAddMob.yaw * 360) / 256F;
+        float f1 = (float) (packetAddMob.pitch * 360) / 256F;
+        Mob mob = (Mob) EntityDispatcher.getInstance().createEntity(packetAddMob.type, mc.currentWorld);
+        mob.serverPosX = packetAddMob.x;
+        mob.serverPosY = packetAddMob.y;
+        mob.serverPosZ = packetAddMob.z;
+        mob.id = packetAddMob.id;
         mob.absMoveTo(d, d1, d2, f, f1);
         mob.isMultiplayerEntity = true;
-        worldClientMP.addEntityToWorld(addMobPacket.id, mob);
-        List<SynchedEntityData.DataItem<?>> list = addMobPacket.getUnpackedData();
+        worldClientMP.addEntityToWorld(packetAddMob.id, mob);
+        List<SynchedEntityData.DataItem<?>> list = packetAddMob.getUnpackedData();
         if (list != null)
         {
             mob.getEntityData().assignValues(list);
         }
-        mob.nickname = StringUtils.substring(addMobPacket.nickname, 0, 32);
-        mob.chatColor = addMobPacket.chatColor;
+        mob.nickname = StringUtils.substring(packetAddMob.nickname, 0, 32);
+        mob.chatColor = packetAddMob.chatColor;
     }
 
     @Override
-    public void handleUpdateTime(PacketSetTime setTimePacket)
+    public void handleSetTime(@NotNull PacketSetTime packetSetTime)
     {
-        mc.currentWorld.setWorldTime(setTimePacket.time);
+        mc.currentWorld.setWorldTime(packetSetTime.time);
     }
 
     @Override
-    public void handleSpawnPosition(PacketSetSpawnPosition setSpawnPositionPacket)
+    public void handleSetSpawnPosition(@NotNull PacketSetSpawnPosition packetSetSpawnPosition)
     {
-        mc.thePlayer.setPlayerSpawnPoint(new TilePos(setSpawnPositionPacket.x, setSpawnPositionPacket.y, setSpawnPositionPacket.z));
-        mc.currentWorld.getLevelData().setSpawn(setSpawnPositionPacket.x, setSpawnPositionPacket.y, setSpawnPositionPacket.z);
+        mc.thePlayer.setPlayerSpawnPoint(new TilePos(packetSetSpawnPosition.x, packetSetSpawnPosition.y, packetSetSpawnPosition.z));
+        mc.currentWorld.getLevelData().setSpawn(packetSetSpawnPosition.x, packetSetSpawnPosition.y, packetSetSpawnPosition.z);
     }
 
     @Override
-    public void handleAttachEntity(PacketSetRiding setRidingPacket)
+    public void handleSetRiding(@NotNull PacketSetRiding packetSetRiding)
     {
-        Entity passenger = getEntityByID(setRidingPacket.passengerId);
+        Entity passenger = getEntityByID(packetSetRiding.passengerId);
         IVehicle vehicle;
-        if (setRidingPacket.passengerId == mc.thePlayer.id)
+        if (packetSetRiding.passengerId == mc.thePlayer.id)
         {
             passenger = mc.thePlayer;
         }
-        if (setRidingPacket.isTileEntity) {
-            vehicle = (IVehicle) worldClientMP.getTileEntity(setRidingPacket.x, setRidingPacket.y, setRidingPacket.z);
+        if (packetSetRiding.isTileEntity) {
+            vehicle = (IVehicle) worldClientMP.getTileEntity(packetSetRiding.x, packetSetRiding.y, packetSetRiding.z);
         } else {
-            vehicle = getEntityByID(setRidingPacket.vehicleId);
+            vehicle = getEntityByID(packetSetRiding.vehicleId);
         }
         if (passenger != null && vehicle != null) {
             passenger.startRiding(vehicle);
@@ -793,12 +794,12 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityStatus(PacketEntityEvent enitityEventPacket)
+    public void handleEntityEvent(@NotNull PacketEntityEvent packetEntityEvent)
     {
-        Entity entity = getEntityByID(enitityEventPacket.entityId);
+        Entity entity = getEntityByID(packetEntityEvent.entityId);
         if (entity != null)
         {
-            entity.handleEntityEvent(enitityEventPacket.entityStatus, enitityEventPacket.attackedAtYaw);
+            entity.handleEntityEvent(packetEntityEvent.entityStatus, packetEntityEvent.attackedAtYaw);
         }
     }
 
@@ -815,13 +816,13 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleUpdateHealth(PacketSetHealth setHealthPacket)
+    public void handleSetHealth(@NotNull PacketSetHealth packetSetHealth)
     {
-        mc.thePlayer.setHealth(setHealthPacket.healthMP);
+        mc.thePlayer.setHealth(packetSetHealth.healthMP);
     }
 
     @Override
-    public void handleUpdatePlayerProfile(PacketUpdatePlayerProfile profilePacket)
+    public void handleUpdatePlayerProfile(@NotNull PacketUpdatePlayerProfile profilePacket)
     {
         PlayerProfile playerProfile = new PlayerProfile(profilePacket.username, profilePacket.nickname, profilePacket.uuid, profilePacket.score, profilePacket.chatColor, profilePacket.isOperator);
         if (playerProfile.uuid.equals(mc.thePlayer.uuid))
@@ -847,75 +848,75 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleRespawn(PacketRespawn respawnPacket)
+    public void handleRespawn(@NotNull PacketRespawn packetRespawn)
     {
-        if (respawnPacket.respawnDimensionId != mc.thePlayer.dimension)
+        if (packetRespawn.respawnDimensionId != mc.thePlayer.dimension)
         {
             started = false;
-            worldClientMP = new WorldClientMP(this, worldClientMP.getLevelData().getRandomSeed(), respawnPacket.respawnDimensionId, respawnPacket.respawnWorldTypeId);
+            worldClientMP = new WorldClientMP(this, worldClientMP.getLevelData().getRandomSeed(), packetRespawn.respawnDimensionId, packetRespawn.respawnWorldTypeId);
             worldClientMP.isClientSide = true;
             mc.changeWorld(worldClientMP);
-            mc.thePlayer.dimension = respawnPacket.respawnDimensionId;
+            mc.thePlayer.dimension = packetRespawn.respawnDimensionId;
             mc.displayScreen(new ScreenDownloadTerrain(this));
         }
-        mc.respawn(true, respawnPacket.respawnDimensionId);
+        mc.respawn(true, packetRespawn.respawnDimensionId);
     }
 
     @Override
-    public void handleExplosion(PacketExplosion explosionPacket)
+    public void handleExplosion(@NotNull PacketExplosion packetExplosion)
     {
         Explosion explosion;
-        if (explosionPacket.isCannonball)
+        if (packetExplosion.isCannonball)
         {
-            explosion = new ExplosionCannonball(mc.currentWorld, null, explosionPacket.explosionX, explosionPacket.explosionY, explosionPacket.explosionZ, explosionPacket.explosionSize);
+            explosion = new ExplosionCannonball(mc.currentWorld, null, packetExplosion.explosionX, packetExplosion.explosionY, packetExplosion.explosionZ, packetExplosion.explosionSize);
         }
         else
         {
-            explosion = new Explosion(mc.currentWorld, null, explosionPacket.explosionX, explosionPacket.explosionY, explosionPacket.explosionZ, explosionPacket.explosionSize);
+            explosion = new Explosion(mc.currentWorld, null, packetExplosion.explosionX, packetExplosion.explosionY, packetExplosion.explosionZ, packetExplosion.explosionSize);
         }
-        explosion.destroyedBlockPositions = explosionPacket.destroyedBlockPositions;
+        explosion.destroyedBlockPositions = packetExplosion.destroyedBlockPositions;
         //explosion.doExplosionA();
         explosion.addEffects(true);
     }
 
     @Override
-    public void handleOpenWindow(PacketContainerOpen containerOpenPacket)
+    public void handleContainerOpen(@NotNull PacketContainerOpen packetContainerOpen)
     {
-        switch (containerOpenPacket.inventoryType) {
+        switch (packetContainerOpen.inventoryType) {
             case PacketContainerOpen.TYPE_GENERIC_CONTAINER: {
-                ContainerSimple simpleContainer = new ContainerSimple(containerOpenPacket.windowTitle, containerOpenPacket.slotsCount);
+                ContainerSimple simpleContainer = new ContainerSimple(packetContainerOpen.windowTitle, packetContainerOpen.slotsCount);
                 mc.thePlayer.displayContainerScreen(simpleContainer);
-                mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
+                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_FURNACE: {
                 TileEntityFurnace tileEntityFurnace = new TileEntityFurnace();
                 mc.thePlayer.displayFurnaceScreen(tileEntityFurnace);
-                mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
+                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_DISPENSER: {
                 TileEntityDispenser tileEntityDispenser = new TileEntityDispenser();
                 mc.thePlayer.displayDispenserScreen(tileEntityDispenser);
-                mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
+                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_ACTIVATOR: {
                 TileEntityActivator tileEntityActivator = new TileEntityActivator();
                 mc.thePlayer.displayActivatorScreen(tileEntityActivator);
-                mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
+                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_BLAST_FURNACE: {
                 TileEntityFurnaceBlast tileEntityFurnaceBlast = new TileEntityFurnaceBlast();
                 mc.thePlayer.displayBlastFurnaceScreen(tileEntityFurnaceBlast);
-                mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
+                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_TROMMEL: {
                 TileEntityTrommel tileEntityTrommel = new TileEntityTrommel();
                 mc.thePlayer.displayTrommelScreen(tileEntityTrommel);
-                mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
+                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_PAINTING: {
@@ -925,138 +926,138 @@ public class PacketHandlerClient extends PacketHandler
             case PacketContainerOpen.TYPE_CRAFTING: {
                 PlayerLocal playerLocal = mc.thePlayer;
                 mc.thePlayer.displayWorkbenchScreen(new TilePos(playerLocal.x, playerLocal.y, playerLocal.z));
-                mc.thePlayer.craftingInventory.containerId = containerOpenPacket.windowId;
+                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
                 break;
             }
             default: {
-                LOGGER.warn("No defined before for container open '{}' with type {}!", containerOpenPacket.windowId, containerOpenPacket.inventoryType);
+                LOGGER.warn("No defined before for container open '{}' with type {}!", packetContainerOpen.windowId, packetContainerOpen.inventoryType);
             }
         }
     }
 
     @Override
-    public void handleOpenFlagWindow(PacketFlagOpen flagOpenPacket)
+    public void handleFlagOpen(@NotNull PacketFlagOpen packetFlagOpen)
     {
-        TileEntity tileEntity = worldClientMP.getTileEntity(flagOpenPacket.x, flagOpenPacket.y, flagOpenPacket.z);
+        TileEntity tileEntity = worldClientMP.getTileEntity(packetFlagOpen.x, packetFlagOpen.y, packetFlagOpen.z);
         if (tileEntity instanceof TileEntityFlag)
         {
             TileEntityFlag tileEntityFlag = (TileEntityFlag) tileEntity;
             mc.thePlayer.displayFlagEditorScreen(tileEntityFlag);
-            mc.thePlayer.craftingInventory.containerId = flagOpenPacket.windowId;
+            mc.thePlayer.craftingInventory.containerId = packetFlagOpen.windowId;
         }
     }
 
     @Override
-    public void handlePhotoMode(PacketPhotoMode photoModePacket)
+    public void handlePhotoMode(@NotNull PacketPhotoMode packetPhotoMode)
     {
-        ScreenPause.photoModeDisabled = photoModePacket.disabled;
+        ScreenPause.photoModeDisabled = packetPhotoMode.disabled;
     }
 
     @Override
-    public void handleSetSlot(PacketContainerSetSlot containerSetslotPacket)
+    public void handleContainerSetSlot(@NotNull PacketContainerSetSlot packetContainerSetSlot)
     {
-        if (containerSetslotPacket.windowId == -1)
+        if (packetContainerSetSlot.windowId == -1)
         {
-            mc.thePlayer.inventory.setHeldItemStack(containerSetslotPacket.myItemStack);
+            mc.thePlayer.inventory.setHeldItemStack(packetContainerSetSlot.myItemStack);
         }
-        else if (containerSetslotPacket.windowId == 0 && containerSetslotPacket.itemSlot >= 36 && containerSetslotPacket.itemSlot < 45)
+        else if (packetContainerSetSlot.windowId == 0 && packetContainerSetSlot.itemSlot >= 36 && packetContainerSetSlot.itemSlot < 45)
         {
-            ItemStack itemstack = mc.thePlayer.inventorySlots.getSlot(containerSetslotPacket.itemSlot).getItemStack();
-            if (containerSetslotPacket.myItemStack != null && (itemstack == null || itemstack.stackSize < containerSetslotPacket.myItemStack.stackSize))
+            ItemStack itemstack = mc.thePlayer.inventorySlots.getSlot(packetContainerSetSlot.itemSlot).getItemStack();
+            if (packetContainerSetSlot.myItemStack != null && (itemstack == null || itemstack.stackSize < packetContainerSetSlot.myItemStack.stackSize))
             {
-                containerSetslotPacket.myItemStack.animationsToGo = 5;
+                packetContainerSetSlot.myItemStack.animationsToGo = 5;
             }
-            mc.thePlayer.inventorySlots.setItem(containerSetslotPacket.itemSlot, containerSetslotPacket.myItemStack);
+            mc.thePlayer.inventorySlots.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
         }
-        else if (containerSetslotPacket.windowId == mc.thePlayer.craftingInventory.containerId)
+        else if (packetContainerSetSlot.windowId == mc.thePlayer.craftingInventory.containerId)
         {
-            mc.thePlayer.craftingInventory.setItem(containerSetslotPacket.itemSlot, containerSetslotPacket.myItemStack);
+            mc.thePlayer.craftingInventory.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
         }
     }
 
     @Override
-    public void handleTransaction(PacketContainerAck containerAckPacket)
+    public void handleContainerAck(@NotNull PacketContainerAck packetContainerAck)
     {
         MenuAbstract container = null;
-        if (containerAckPacket.windowId == 0)
+        if (packetContainerAck.windowId == 0)
         {
             container = mc.thePlayer.inventorySlots;
         }
-        else if (containerAckPacket.windowId == mc.thePlayer.craftingInventory.containerId)
+        else if (packetContainerAck.windowId == mc.thePlayer.craftingInventory.containerId)
         {
             container = mc.thePlayer.craftingInventory;
         }
         if (container != null)
         {
-            if (containerAckPacket.accepted)
+            if (packetContainerAck.accepted)
             {
-                container.deleteBackup(containerAckPacket.shortWindowId);
+                container.deleteBackup(packetContainerAck.shortWindowId);
             }
             else
             {
-                container.rollbackToBackup(containerAckPacket.shortWindowId);
-                addToSendQueue(new PacketContainerAck(containerAckPacket.windowId, containerAckPacket.shortWindowId, true));
+                container.rollbackToBackup(packetContainerAck.shortWindowId);
+                addToSendQueue(new PacketContainerAck(packetContainerAck.windowId, packetContainerAck.shortWindowId, true));
             }
         }
     }
 
     @Override
-    public void handleWindowItems(PacketContainerSetContent containerSetContentPacket)
+    public void handleContainerSetContent(@NotNull PacketContainerSetContent packetContainerSetContent)
     {
-        if (containerSetContentPacket.windowId == 0)
+        if (packetContainerSetContent.windowId == 0)
         {
-            mc.thePlayer.inventorySlots.setAll(containerSetContentPacket.stackList);
+            mc.thePlayer.inventorySlots.setAll(packetContainerSetContent.stackList);
         }
-        else if (containerSetContentPacket.windowId == mc.thePlayer.craftingInventory.containerId)
+        else if (packetContainerSetContent.windowId == mc.thePlayer.craftingInventory.containerId)
         {
-            mc.thePlayer.craftingInventory.setAll(containerSetContentPacket.stackList);
+            mc.thePlayer.craftingInventory.setAll(packetContainerSetContent.stackList);
         }
     }
 
     @Override
-    public void handleUpdateProgressbar(PacketContainerSetData containerSetDataPacket)
+    public void handleContainerSetData(@NotNull PacketContainerSetData packetContainerSetData)
     {
-        handleInvalidPacket(containerSetDataPacket);
-        if (mc.thePlayer.craftingInventory != null && mc.thePlayer.craftingInventory.containerId == containerSetDataPacket.windowId)
+        handleInvalidPacket(packetContainerSetData);
+        if (mc.thePlayer.craftingInventory != null && mc.thePlayer.craftingInventory.containerId == packetContainerSetData.windowId)
         {
-            mc.thePlayer.craftingInventory.setData(containerSetDataPacket.progressBar, containerSetDataPacket.progressBarValue);
+            mc.thePlayer.craftingInventory.setData(packetContainerSetData.progressBar, packetContainerSetData.progressBarValue);
         }
     }
 
     @Override
-    public void handlePlayerInventory(PacketSetEquippedItem setEquippedItemPacket)
+    public void handleSetEquippedItem(@NotNull PacketSetEquippedItem packetSetEquippedItem)
     {
-        Entity entity = getEntityByID(setEquippedItemPacket.entityID);
+        Entity entity = getEntityByID(packetSetEquippedItem.entityID);
         if (entity != null)
         {
-            entity.setEquippedSlot(setEquippedItemPacket.slot, setEquippedItemPacket.itemID, setEquippedItemPacket.itemMeta, setEquippedItemPacket.itemData);
+            entity.setEquippedSlot(packetSetEquippedItem.slot, packetSetEquippedItem.itemID, packetSetEquippedItem.itemMeta, packetSetEquippedItem.itemData);
         }
     }
 
     @Override
-    public void handlePlayerHeldObject(PacketSetHeldObject setHeldObjectPacket) {
-        Entity entity = getEntityByID(setHeldObjectPacket.entityID);
+    public void handleSetHeldObject(@NotNull PacketSetHeldObject packetSetHeldObject) {
+        Entity entity = getEntityByID(packetSetHeldObject.entityID);
         if (entity != null) {
-            entity.setHeldObject(setHeldObjectPacket.objectTag == null ? null : ICarriable.createAndLoadCarriable(entity, setHeldObjectPacket.objectTag));
+            entity.setHeldObject(packetSetHeldObject.objectTag == null ? null : ICarriable.createAndLoadCarriable(entity, packetSetHeldObject.objectTag));
         }
     }
 
     @Override
-    public void handleCloseWindow(PacketContainerClose containerClosePacket)
+    public void handleContainerClose(@NotNull PacketContainerClose packetContainerClose)
     {
         mc.thePlayer.closeScreen();
     }
 
     @Override
-    public void handleBlockEvent(PacketBlockEvent blockEventPacket)
+    public void handleBlockEvent(@NotNull PacketBlockEvent packetBlockEvent)
     {
-        mc.currentWorld.triggerEvent(blockEventPacket.xLocation, blockEventPacket.yLocation, blockEventPacket.zLocation, blockEventPacket.index, blockEventPacket.data);
+        mc.currentWorld.triggerEvent(packetBlockEvent.xLocation, packetBlockEvent.yLocation, packetBlockEvent.zLocation, packetBlockEvent.index, packetBlockEvent.data);
     }
 
     @Override
-    public void handleBed(PacketBedMessage bedMessagePacket)
+    public void handleBedMessage(@NotNull PacketBedMessage packetBedMessage)
     {
-        int state = bedMessagePacket.bedState;
+        int state = packetBedMessage.bedState;
         if (state >= 0 && state < PacketBedMessage.BED_MESSAGE_KEYS.length && PacketBedMessage.BED_MESSAGE_KEYS[state] != null)
         {
             mc.thePlayer.sendTranslatedChatMessage(PacketBedMessage.BED_MESSAGE_KEYS[state]);
@@ -1064,26 +1065,26 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleMapData(PacketMapData mapdataPacket)
+    public void handleMapData(@NotNull PacketMapData packetMapData)
     {
-        if (mapdataPacket.itemId == Items.MAP.id)
+        if (packetMapData.itemId == Items.MAP.id)
         {
-            ItemMap.getOrCreateSavedData(mapdataPacket.meta, mapdataPacket.scale, mc.currentWorld).setColors(mapdataPacket.mapData).setMapWaypoints(mapdataPacket.waypoints);
+            ItemMap.getOrCreateSavedData(packetMapData.meta, packetMapData.scale, mc.currentWorld).setColors(packetMapData.mapData).setMapWaypoints(packetMapData.waypoints);
         }
         else
         {
-            LOGGER.warn("Unexpected itemId: {}", mapdataPacket.itemId);
+            LOGGER.warn("Unexpected itemId: {}", packetMapData.itemId);
         }
     }
 
     @Override
-    public void handlePlaySoundEffect(PacketPlaySoundEffect playSoundEffectPacket)
+    public void handlePlaySoundEffect(@NotNull PacketPlaySound packetPlaySound)
     {
-        mc.currentWorld.playBlockEvent(playSoundEffectPacket.soundID, playSoundEffectPacket.x, playSoundEffectPacket.y, playSoundEffectPacket.z, playSoundEffectPacket.data);
+        mc.currentWorld.playBlockEvent(packetPlaySound.soundID, packetPlaySound.x, packetPlaySound.y, packetPlaySound.z, packetPlaySound.data);
     }
 
 	@Override
-	public void handlePlaySoundDirectly(PacketPlaySoundEffectDirect packet) {
+	public void handlePlaySoundDirectly(@NotNull PacketPlaySoundDirect packet) {
 		String soundPath = SoundTypes.getSoundById(packet.soundId);
 		if(soundPath == null) {
 			return;
